Go to the latest version of this document.

# ``twisted`.`internet`.`_pollingfile``

module documentation
(source)

Implements a simple polling interface for file descriptors that don't work with select() - this is pretty much only useful on Windows.

Constant | `FULL_BUFFER_SIZE` | Undocumented
Constant | `MAX_TIMEOUT` | Undocumented
Constant | `MIN_TIMEOUT` | Undocumented
Class | `_PollableReadPipe` | Undocumented
Class | `_PollableResource` | Undocumented
Class | `_PollableWritePipe` | No class docstring; 0/7 instance variable, 4/10 methods documented
Class | `_PollingTimer` | Undocumented

FULL_BUFFER_SIZE = (source)

Undocumented

Value

    64 * 1024

MAX_TIMEOUT: `float` = (source)

Undocumented

Value

    0.1

MIN_TIMEOUT: `float` = (source)

Undocumented

Value

    1e-09